Subject: Re: bug#75056: 31.0.50; tty-child-frames with server / multiple clients possible hangs

From: Gerd Möllmann <[email-masked]>
Date: Thu, 23 Jan 2025 20:38:37 +0100

Len Trigg <[email-masked]> writes:

> On Fri, 24 Jan 2025 at 06:34, Gerd Möllmann <[email-masked]> wrote:
>
>  Eli Zaretskii <[email-masked]> writes:
>
>  > What is the value of z_order?
>
>  Len, can you please print
>
>    p root->visible
>
> (gdb) p root->visible
> $1 = 0
> (gdb) p z_order
> $2 = (Lisp_Object) 0x0

Thanks, that explains the crash. I would never had expected that we
try to update invisible frames, hence the assert with --enable-checking
at the start of the function.

Now, the $1000 question is why is mini_frame in redisplay_internal
invisible? Pretty sure it has something to do with multi-tty.

Anyway. I'll develop a fix for that immediate problem tomorrow. I think
I'll just make it not crash for now, and perform the update anyway,
which I guess 30 would do.

Thanks!